- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SparseVector Class Reference

a sparse vector data structure More...

`#include <OSGeneral.h>`

List of all members.

## Public Member Functions
| SparseVector (int number)
| Constructor.
| SparseVector ()
| Default Constructor.
| ~SparseVector ()
| Default destructor.
## Public Attributes
bool | bDeleteArrays
| bDeleteArrays is true if we delete the arrays in garbage collection set to true by default
int | number
| number is the number of elements in the indexes and values arrays.
int * | indexes
| indexes holds an integer array of indexes, which corresponding values are nonzero.
double * | values
| values holds a double array of nonzero values.

## Detailed Description

a sparse vector data structure

Definition at line 113 of file OSGeneral.h.

## Constructor & Destructor Documentation

SparseVector::SparseVector | ( | int | number | ) |

Constructor.

Parameters:

  | number | holds the size of the vector.

Definition at line 113 of file OSGeneral.cpp.

References bDeleteArrays, indexes, number, and values.

SparseVector::SparseVector | ( |  | ) |

Default Constructor.

Definition at line 122 of file OSGeneral.cpp.

SparseVector::~SparseVector | ( |  | ) |

Default destructor.

Definition at line 129 of file OSGeneral.cpp.

References bDeleteArrays, indexes, and values.

## Member Data Documentation

bool SparseVector::bDeleteArrays

bDeleteArrays is true if we delete the arrays in garbage collection set to true by default

Definition at line 139 of file OSGeneral.h.

Referenced by OSInstance::calculateConstraintFunctionGradient(), OS_DipInterface::getBlockOSInstances(), main(), SparseVector(), and ~SparseVector().

int SparseVector::number

number is the number of elements in the indexes and values arrays.

Definition at line 144 of file OSGeneral.h.

Referenced by CouenneSolver::buildSolverInstance(), OSInstance::calculateConstraintFunctionGradient(), OSInstance::calculateFunctionValue(), OSInstance::getDenseObjectiveCoefficients(), OSInstance::processObjectives(), and SparseVector().

int* SparseVector::indexes

indexes holds an integer array of indexes, which corresponding values are nonzero.

Definition at line 149 of file OSGeneral.h.

Referenced by CouenneSolver::buildSolverInstance(), OSInstance::calculateConstraintFunctionGradient(), OSInstance::calculateFunctionValue(), OSMatlab::createOSInstance(), OSnl2osil::createOSInstance(), OSmps2osil::createOSInstance(), OSgams2osil::createOSInstance(), OS_DipInterface::getBlockOSInstances(), OSInstance::getDenseObjectiveCoefficients(), OSRouteSolver::getSeparationInstance(), main(), OSInstance::printModel(), SparseVector(), and ~SparseVector().

double* SparseVector::values

values holds a double array of nonzero values.

Definition at line 154 of file OSGeneral.h.

Referenced by CouenneSolver::buildSolverInstance(), OSInstance::calculateConstraintFunctionGradient(), OSInstance::calculateFunctionValue(), OSMatlab::createOSInstance(), OSnl2osil::createOSInstance(), OSmps2osil::createOSInstance(), OSgams2osil::createOSInstance(), OS_DipInterface::getBlockOSInstances(), OSInstance::getDenseObjectiveCoefficients(), OSRouteSolver::getSeparationInstance(), main(), OSInstance::processObjectives(), SparseVector(), and ~SparseVector().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp